<?php
error_reporting(0);
require_once 'header_login.php';
?>

<section class="body-sign u-non-blurred">
    <div class="center-sign">

        <div class="panel-login-logo">
            <a href="javascript:;" class="logo">
                <img src="./assets/logo-emp.png" class="logo-image" alt="Porto Admin" />
            </a>
        </div>



        <div class="panel panel-sign">
            <div class="panel-body">
                <p class="title-login">
                    Selamat Datang di Intranet!
                </p>
                <form class="auth-login-form mt-2" action="#" method="POST" autocomplete="off" id="userLogin">

                    <div class="form-group mb-lg">
                        <!-- <label>Username</label> -->
                        <div class="input-group input-group-icon">
                            <span class="input-group-addon">
                                <span class="icon icon-lg">
                                    <i class="fa fa-user"></i>
                                </span>
                            </span>
                            <input class="form-control input-login" id="login-email" type="text" name="email" placeholder="my.name / my.name@emp-one.com" aria-describedby="email" tabindex="1" autocomplete="off" required />
                            <input type="hidden" name="_expotoken" id="expotoken" />
                            <input type="hidden" name="extend" id="extend" value="<?php echo $_GET['extend']; ?>" />

                        </div>
                    </div>

                    <div class="form-group mb-lg">
                        <!-- <div class="clearfix">
                            <label class="pull-left">Password</label>
                        </div> -->
                        <div class="input-group input-group-icon">
                            <span class="input-group-addon">
                                <span class="icon icon-lg">
                                    <i class="fa fa-lock"></i>
                                </span>
                            </span>
                            <input class="form-control input-login" id="login-password" type="password" name="password" placeholder="············" aria-describedby="login-password" tabindex="2" autocomplete="off" value="" required />
                        </div>
                    </div>

                    <div class="form-group ml-lg">
                        <div class="alert alert-danger alert-form p-2" id="error" style="display:none;">
                            <p id="message-error"></p>
                        </div>
                    </div>

                    <div class="form-group d-md-flex" style="margin:0;">

                        <label class="container-remember">Remember Me
                            <input id="remember-me" type="checkbox" tabindex="3" checked>
                            <span class="checkmark"></span>
                        </label>

                    </div>

                    <div class="row">
                        <div class="col-lg-12">
                            <div id="tes"></div>
                            <img src="{{ asset('app-assets/loading.gif') }}" width="80" id="loading-login" style="display:none;">
                            <button class="btn btn-success w-100 btn-login" type="submit" name="submit" id="submit" tabindex="4">Sign in</button>
                            <!-- <input type="submit" name="save" value="Sign In" class="btn btn-primary btn-login"> -->
                        </div>
                    </div>
                </form>
            </div>
        </div>

        <div class="footer-login">
            <div class="column left">
                <a href="/privacy?extend={{ $_GET['extend'] }}">Privacy & Policy</a>
            </div>
            <div class="column right">
                <a href="/contact-us?extend={{ $_GET['extend'] }}">Contact Us</a>
            </div>
        </div>

        <p class="text-center text-muted mt-md mb-md">&copy; Copyright {{ env('COPYRIGHT') }}</p>
    </div>


</section>
<!-- END: Content-->
<!-- Popup Modal Pilih Platform -->
<div class="modal fade text-left" id="modal-pilih" tabindex="-1" role="dialog" aria-labelledby="myModalLabel1" aria-hidden="true" data-backdrop="static" data-keyboard="false">
    <div class="modal-lg modal-dialog modal-dialog-centered modal-dialog-scrollable modal-sm" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h3 class="modal-title" id="myModalLabel1">Send OTP Via</h3>
                <!-- link back right -->
                <a href="{{ url('/login?extend='.$_GET['extend']) }}" onclick="resetTimer()" class="close close-modal" data-dismiss="modal" aria-label="Close">
                    <!-- <i data-feather="x"></i> -->
                    <i class="fa fa-times" aria-hidden="true"></i>
                </a>
            </div>
            <div class="modal-body p-2">
                <div class="d-flex justify-content-center">
                    <div class="shadow p-2">
                        <div class="text-primary fw-bold text-modal">Mengirimkan Kode OTP melalui : </div>
                        <hr />

                        <div class="row">
                            <div class="container-button-modal">
                                <div class="child-button-modal">
                                    <div class="btn btn-sm btn-primary platform button-otp" data-value="email" id="otp-email" style="cursor: pointer;">
                                        <i class="fa fa-envelope" aria-hidden="true"></i> Email
                                    </div>
                                </div>
                                <div class="child-button-modal">
                                    <div class="btn btn-sm btn-success platform button-otp" data-value="whatsapp" id="otp-wa" style="cursor: pointer;">
                                        <i class="fa fa-whatsapp" aria-hidden="true"></i> Whatsapp
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>



                <div id="show-email" class="mt-2" style="display: none;">
                    <div class="form-group" style="display:none;">
                        <label for="email" class="fw-bold">Email</label>
                        <input type="email" class="form-control" id="email-user" name="email-user" placeholder="Masukan Email">
                    </div>
                    <div class="form-group mt-2">
                        <div class="btn btn-sm btn-primary" id="send-otp-email" style="cursor: pointer;">
                            <i data-feather="send"></i> Kirim OTP
                        </div>
                    </div>
                </div>
                <div id="show-wa" class="mt-2" style="display: none;">
                    <div class="row notif_valid_wa"></div>
                    <div class="form-group" style="display: none;">
                        <label for="wa" class="fw-bold">Nomor Whatsapp</label>
                        <div class="input-group">
                            <span class="input-group-text">+62</span>
                            <input type="number" class="form-control phone-number-mask" onkeypress="filterNolFirst()" maxlength="12" placeholder="" id="phone-number" />
                        </div>
                    </div>
                    <div class="form-group mt-2">
                        <div class="btn btn-sm btn-primary" id="send-otp-wa" style="cursor: pointer;">
                            <i data-feather="send"></i> Kirim OTP
                        </div>
                    </div>
                </div>
                <div class="text-center loading-modal" style="display: none;">
                    <img src="{{ asset('app-assets/loading.gif') }}" width="80">
                </div>
            </div> <!-- end modal body -->
        </div>
    </div>
</div>
<!-- Popup Modal OTP -->
<div class="modal fade text-left" id="modal-otp" tabindex="-1" role="dialog" aria-labelledby="myModalLabel2" aria-hidden="true" data-backdrop="static" data-keyboard="false">
    <div class="modal-lg modal-dialog modal-dialog-centered modal-dialog-scrollable modal-sm" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h3 class="modal-title" id="myModalLabel1">Masukan Kode OTP</h3>
                <!-- <h4 class="modal-title" id="header-whatsapp" style="display: none;">Masukan Kode OTP yang dikirim ke Nomor : <span id="nomor-whatsapp" class="fw-bold text-primary"></span> </h4>
                <h4 class="modal-title" id="header-email" style="display: none;">Masukan Kode OTP yang dikirim ke Email : <span id="email-view" class="fw-bold text-primary"></span> </h4> -->
                <a href="{{ url('/login?extend='.$_GET['extend']) }}" class="close close-modal" onclick="resetTimer()" data-dismiss="modal" aria-label="Close">
                    <i class="fa fa-times" aria-hidden="true"></i>
                </a>
            </div>
            <div class="modal-body p-1">
                <div id="loading-otp" class="text-center" style="display: none;">
                    <img src="{{ asset('app-assets/loading.gif') }}" width="80">
                </div>
                <div class="text-primary fw-bold text-modal" id="header-whatsapp" style="display: none;">Masukan Kode OTP yang dikirim ke Nomor : <span id="nomor-whatsapp" class="fw-bold text-primary"></span></div>
                <div class="text-primary fw-bold text-modal" id="header-email" style="display: none;">Masukan Kode OTP yang dikirim ke Email : <span id="email-view" class="fw-bold text-primary"></span></div>
                <!-- Template OTP 6 number -->
                <div id="input_otp" class="mt-2">
                    <form action="{{ url('/otp-verification') }}">
                        <div class="otp">
                            <div class="form-group ">
                                <div class="input-container d-flex flex-row justify-content-center mt-2">
                                    <!-- @for($i = 1; $i
                                    <= 6; $i++) <input type="number" max="9" min="0" maxlength="1" class="form-control box-otp cursor_otp shadow rounded {{ $i == 6 ? 'last' : ''}} {{ $i == 1 ? 'first' : ''}}" id="otp_{{ $i }}" name="otp[]" required /> &nbsp; &nbsp;
                                    @endfor -->
                                    <?php
                                    for ($i = 1; $i <= 6; $i++) {
                                    ?>
                                        <input type="number" max="9" min="0" maxlength="1" class="form-control box-otp cursor_otp shadow rounded {{ $i == 6 ? 'last' : ''}} {{ $i == 1 ? 'first' : ''}}" id="otp_{{ $i }}" name="otp[]" required /> &nbsp; &nbsp;
                                    <?php
                                    }
                                    ?>
                                </div>
                            </div>
                        </div>
                    </form>
                    <div class="text-center mt-2">
                        <div id="countdown-otp" style="font-size:4vh; font-weight:bold; text-shadow: -1px 2px 2px rgba(0,0,0,0.6);"></div>
                    </div>
                    <div class="text-center mt-2">
                        <div class="alert alert-danger p-1" id="timeover" style="display: none;">
                            <p class="mb-0 fw-bold text-black" style="font-size: 2vh;"><i data-feather="clock"></i> Waktu Kode OTP anda sudah habis, silahkan <b>Resend OTP</b> untuk mendapatkan kode baru.</p>
                        </div>
                        <div class="resend-otp" id="reset_otp" style="cursor: pointer;">Reset OTP</div>
                        <div class="resend-otp" onclick="resendOtp()" id="resend_otp" style="display: none; cursor:pointer;">Resend OTP</div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php
require_once 'footer_login.php';
?>