<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>

    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/flatpickr/dist/flatpickr.min.css">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65" crossorigin="anonymous">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>

</head>

<body>

    <div class="form-group">
        <div class="col-lg-12" style="padding: 50px 100px;">
            <div class="mb-1 position-relative">
                <label for="start-date" class="form-label">Start Date</label>
                <input type="text" class="form-control" id="start-date" name="start_date" placeholder="Start Date" />
            </div>
            <div class="mb-1 position-relative">
                <label for="end-date" class="form-label">End Date</label>
                <input type="text" class="form-control" id="end-date" name="end_date" placeholder="End Date" />
            </div>
        </div>
    </div>



    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.6/dist/umd/popper.min.js" integrity="sha384-oBqDVmMz9ATKxIep9tiCxS/Z9fNfEXiDAYTujMAeBAsjFuCZSmKbSSUnQlmh/jp3" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.min.js" integrity="sha384-cuYeSxntonz0PPNlHhBs68uyIAVpIIOZZ5JqeqvYYIcEL727kskC66kF92t6Xl2V" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/flatpickr"></script>
    <script>
        $("#start-date").flatpickr({
            dateFormat: "Y-m-d H:i",
            enableTime: true,
            // time_24hr: true
        });
        $("#end-date").flatpickr({
            dateFormat: "Y-m-d H:i",
            enableTime: true,
            // time_24hr: true,
            minDate: "today"
        });

        $("#start-date").change(function(selectedDates, dateStr, instance) {
            console.log('masuk sini');
            var $tval = $(this).val();
            var $minDate = new Date($tval);
            var $dateEnd = $("#end-date").val();

            if ($tval != '' || typeof $tval == undefined || typeof $tval == 'undefined') {
                $("#end-date").flatpickr({
                    dateFormat: "Y-m-d H:i",
                    minDate: $minDate
                });

                if ($dateEnd < $tval) {
                    $("#end-date").val($tval);
                }
            }
        });
    </script>
</body>



</html>